### Function

# Gtk.TreeModelFilterVisibleFunc

#### Declaration

    gboolean
    TreeModelFilterVisibleFunc (
      GtkTreeModel* model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function which decides whether the row indicated by `iter` is visible.

#### Parameters

`model` | `GtkTreeModel`
| the child model of the `GtkTreeModelFilter`
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| a `GtkTreeIter` pointing to the row in `model` whose visibility is determined
| Ownership is not transferred to the callee
`data` | `gpointer`
| user data given to `gtk_tree_model_filter_set_visible_func()`

#### Return value

Returns: `gboolean`
Whether the row indicated by `iter` is visible.